io.etcd.jetcd.api

## Class AuthGrpc.AuthFutureStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractFutureStub<AuthGrpc.AuthFutureStub>
    - - io.etcd.jetcd.api.AuthGrpc.AuthFutureStub

Enclosing class:
  AuthGrpc

    public static final class AuthGrpc.AuthFutureStub
    extends io.grpc.stub.AbstractFutureStub<AuthGrpc.AuthFutureStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.common.util.concurrent.ListenableFuture<AuthDisableResponse>` `authDisable(AuthDisableRequest request)` AuthDisable disables authentication.
`com.google.common.util.concurrent.ListenableFuture<AuthEnableResponse>` `authEnable(AuthEnableRequest request)` AuthEnable enables authentication.
`com.google.common.util.concurrent.ListenableFuture<AuthenticateResponse>` `authenticate(AuthenticateRequest request)` Authenticate processes an authenticate request.
`protected AuthGrpc.AuthFutureStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`com.google.common.util.concurrent.ListenableFuture<AuthRoleAddResponse>` `roleAdd(AuthRoleAddRequest request)` RoleAdd adds a new role.
`com.google.common.util.concurrent.ListenableFuture<AuthRoleDeleteResponse>` `roleDelete(AuthRoleDeleteRequest request)` RoleDelete deletes a specified role.
`com.google.common.util.concurrent.ListenableFuture<AuthRoleGetResponse>` `roleGet(AuthRoleGetRequest request)` RoleGet gets detailed role information.
`com.google.common.util.concurrent.ListenableFuture<AuthRoleGrantPermissionResponse>` `roleGrantPermission(AuthRoleGrantPermissionRequest request)` RoleGrantPermission grants a permission of a specified key or range to a specified role.
`com.google.common.util.concurrent.ListenableFuture<AuthRoleListResponse>` `roleList(AuthRoleListRequest request)` RoleList gets lists of all roles.
`com.google.common.util.concurrent.ListenableFuture<AuthRoleRevokePermissionResponse>` `roleRevokePermission(AuthRoleRevokePermissionRequest request)` RoleRevokePermission revokes a key or range permission of a specified role.
`com.google.common.util.concurrent.ListenableFuture<AuthUserAddResponse>` `userAdd(AuthUserAddRequest request)` UserAdd adds a new user.
`com.google.common.util.concurrent.ListenableFuture<AuthUserChangePasswordResponse>` `userChangePassword(AuthUserChangePasswordRequest request)` UserChangePassword changes the password of a specified user.
`com.google.common.util.concurrent.ListenableFuture<AuthUserDeleteResponse>` `userDelete(AuthUserDeleteRequest request)` UserDelete deletes a specified user.
`com.google.common.util.concurrent.ListenableFuture<AuthUserGetResponse>` `userGet(AuthUserGetRequest request)` UserGet gets detailed user information.
`com.google.common.util.concurrent.ListenableFuture<AuthUserGrantRoleResponse>` `userGrantRole(AuthUserGrantRoleRequest request)` UserGrant grants a role to a specified user.
`com.google.common.util.concurrent.ListenableFuture<AuthUserListResponse>` `userList(AuthUserListRequest request)` UserList gets a list of all users.
`com.google.common.util.concurrent.ListenableFuture<AuthUserRevokeRoleResponse>` `userRevokeRole(AuthUserRevokeRoleRequest request)` UserRevokeRole revokes a role of specified user.

### Methods inherited from class io.grpc.stub.AbstractFutureStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected AuthGrpc.AuthFutureStub build(io.grpc.Channel channel,
                                            io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<AuthGrpc.AuthFutureStub>`

#### authEnable

    public com.google.common.util.concurrent.ListenableFuture<AuthEnableResponse> authEnable(AuthEnableRequest request)

     AuthEnable enables authentication.

#### authDisable

    public com.google.common.util.concurrent.ListenableFuture<AuthDisableResponse> authDisable(AuthDisableRequest request)

     AuthDisable disables authentication.

#### authenticate

    public com.google.common.util.concurrent.ListenableFuture<AuthenticateResponse> authenticate(AuthenticateRequest request)

     Authenticate processes an authenticate request.

#### userAdd

    public com.google.common.util.concurrent.ListenableFuture<AuthUserAddResponse> userAdd(AuthUserAddRequest request)

     UserAdd adds a new user.

#### userGet

    public com.google.common.util.concurrent.ListenableFuture<AuthUserGetResponse> userGet(AuthUserGetRequest request)

     UserGet gets detailed user information.

#### userList

    public com.google.common.util.concurrent.ListenableFuture<AuthUserListResponse> userList(AuthUserListRequest request)

     UserList gets a list of all users.

#### userDelete

    public com.google.common.util.concurrent.ListenableFuture<AuthUserDeleteResponse> userDelete(AuthUserDeleteRequest request)

     UserDelete deletes a specified user.

#### userChangePassword

    public com.google.common.util.concurrent.ListenableFuture<AuthUserChangePasswordResponse> userChangePassword(AuthUserChangePasswordRequest request)

     UserChangePassword changes the password of a specified user.

#### userGrantRole

    public com.google.common.util.concurrent.ListenableFuture<AuthUserGrantRoleResponse> userGrantRole(AuthUserGrantRoleRequest request)

     UserGrant grants a role to a specified user.

#### userRevokeRole

    public com.google.common.util.concurrent.ListenableFuture<AuthUserRevokeRoleResponse> userRevokeRole(AuthUserRevokeRoleRequest request)

     UserRevokeRole revokes a role of specified user.

#### roleAdd

    public com.google.common.util.concurrent.ListenableFuture<AuthRoleAddResponse> roleAdd(AuthRoleAddRequest request)

     RoleAdd adds a new role.

#### roleGet

    public com.google.common.util.concurrent.ListenableFuture<AuthRoleGetResponse> roleGet(AuthRoleGetRequest request)

     RoleGet gets detailed role information.

#### roleList

    public com.google.common.util.concurrent.ListenableFuture<AuthRoleListResponse> roleList(AuthRoleListRequest request)

     RoleList gets lists of all roles.

#### roleDelete

    public com.google.common.util.concurrent.ListenableFuture<AuthRoleDeleteResponse> roleDelete(AuthRoleDeleteRequest request)

     RoleDelete deletes a specified role.

#### roleGrantPermission

    public com.google.common.util.concurrent.ListenableFuture<AuthRoleGrantPermissionResponse> roleGrantPermission(AuthRoleGrantPermissionRequest request)

     RoleGrantPermission grants a permission of a specified key or range to a specified role.

#### roleRevokePermission

    public com.google.common.util.concurrent.ListenableFuture<AuthRoleRevokePermissionResponse> roleRevokePermission(AuthRoleRevokePermissionRequest request)

     RoleRevokePermission revokes a key or range permission of a specified role.